Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## modelling
Class Satisfactor

    java.lang.Object
      modelling.Satisfactor

Direct Known Subclasses:
  EatingAgent.IsHungry

public abstract class Satisfactor
extends java.lang.Object

Encapsulates a boolean method and an heuristic. Useful to manage goals within actions.

Constructor Summary
`Satisfactor()`

Method Summary
`Satisfactor` | `and(Satisfactor sel)` Executes the logical fonction and between the current satisfactor and the given one.
`int` | `heuristic()` Give an estimated heuristic distance to the goal.
`abstract boolean` | `isSatisfying()` Checks whether the current state is satisfaying.
`Satisfactor` | `not()` Executes the logical fonction not on the simulator.
`Satisfactor` | `or(Satisfactor sel)` Executes the logical fonction or between the current satisfactor and the given one.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Satisfactor

    public Satisfactor()

Method Detail

### isSatisfying

    public abstract boolean isSatisfying()

  Checks whether the current state is satisfaying.

### heuristic

    public int heuristic()

  Give an estimated heuristic distance to the goal.

### or

    public final Satisfactor or(Satisfactor sel)

  Executes the logical fonction or between the current satisfactor and the given one.

### and

    public final Satisfactor and(Satisfactor sel)

  Executes the logical fonction and between the current satisfactor and the given one.

### not

    public final Satisfactor not()

  Executes the logical fonction not on the simulator.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD